Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports System.Windows.Forms
Imports DevExpress.ExpressApp.Utils

Public Class HTMLMailTemplateVC
    Inherits DevExpress.ExpressApp.ViewController

    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer.
        InitializeComponent()
        RegisterActions(components)

    End Sub

    Private Sub aCopyProperty_Execute(sender As Object, e As SimpleActionExecuteEventArgs) Handles aCopyProperty.Execute
        Try
            Dim _onew As Xpo.XPObjectSpace = Application.CreateObjectSpace
            Dim _DetailView As DetailView = TryCast(View, DetailView)
            Dim _HTMLMailTemplate As HTMLMailTemplate = TryCast(_DetailView.CurrentObject, HTMLMailTemplate)
            If _HTMLMailTemplate.ContactsProperties IsNot Nothing Then
                Dim _copy As String = String.Empty
                _copy = "{" + _HTMLMailTemplate.ContactsProperties.ToString + "}"
                Clipboard.Clear()
                '  Clipboard.SetText(_copy)
                Clipboard.SetData(DataFormats.Text, CType(_copy, String))
            End If
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.OkOnly + MsgBoxStyle.Critical, String.Format(CaptionHelper.GetLocalizedText("Exceptions\SISBusinessExceptions", "MsgBoxCheckItAgain")))
        End Try

    End Sub



End Class
